const $ = require('jquery');
require("../css/qcList.less");
// require("./../resource/My97DatePicker/WdatePicker.js")
// require("./../resource/My97DatePicker/skin/WdatePicker.css")
const {api} = require('./api.js')
const {post} = require('./utils.js')
require('./../resource/jquery-ui/jquery-ui.min.js');
require('./../resource/jquery-ui/jquery-ui.min.css');
require('./../resource/layui/css/layui.css');

let tabList

function getTabData(){
    const param = {
        fileCode: "",
        name: "", //条目名
        behosDateStart: "", //1-单项否决 0-非
        leaveHosDateEnd: "" //0-未启用 1-启用
    }
    post(api.qcList,param).then(res =>{
        console.log('ress', res)
        if(res.data.code == '0'){
            tabList = res.data.data.records
            renderTab(tabList)
        }else{}
    }).catch((e) =>{
    
    })
}

getTabData()
function renderTab(data){
    let str = ``
    let hasSelectAll = true
    for(let i = 0; i < data.length; i++){
        const item = data[i]
        if(!item.hasSelect){
            hasSelectAll = false
        }
        str += `
            <tr  data-index=${i}>
                <td class="scoreOperaItem">${item.hasSelect ? '选择':'未选择'}</td>
                <td>${item.behospitalCode}</td>
                <td>${item.fileCode}</td>
                <td>${item.name}</td>
                <td>${item.sex}</td>
                <td>${item.age}</td>
                <td>${item.bedCode}</td>
                <td>${item.behospitalDate}</td>
                <td>${item.leaveHospitalDate}</td>
                <td>${item.doctorName}</td>
                <td>${item.behDeptName}</td>
                <td>${item.level}</td>
                <td>${item.scoreRes}</td>
                <td>${item.gradeTime}</td>
            </tr>
        `
    }
    if(hasSelectAll){
        $('.scoreOpera').html("选择")
        $('.scoreOpera').attr("data-selectall",true)
    }else{
        $('.scoreOpera').html("未选择")
        $('.scoreOpera').attr("data-selectall",false)
    }
    $('tbody').html(str)
    bindScoreOperaItem()
}
//全选绑定
bindOperaAll()
function bindScoreOperaItem(){
    $(".scoreOperaItem").on("click",  function(e){
        const index = $(this).parent().attr("data-index")
        console.log(index)
        tabList[index].hasSelect = tabList[index].hasSelect ? false:true
        renderTab(tabList)
    })
}

function bindOperaAll(){
    $('.scoreOpera').on("click", function(e){
        const hasSelectAll = $('.scoreOpera').attr("data-selectall")
        console.log('hasSelectAll',hasSelectAll)
        if(hasSelectAll == 'true'){

            for(let i = 0; i < tabList.length; i++){
                tabList[i].hasSelect = false
            }
        }else{
            for(let i = 0; i < tabList.length; i++){
                tabList[i].hasSelect = true
            }
        }
        renderTab(tabList)
    })
}

function recordScore(behospitalCode){
    const param = {
        behospitalCode: behospitalCode
    }
    post(api.recordScore,param).then(res =>{
        if(res.data.code == '0'){
      
        }else{}
    }).catch((e) =>{
    
    })
}


$(function() {
    $.datepicker.regional['zh-CN'] = {
    clearText: '清除',
    clearStatus: '清除已选e799bee5baa6e59b9ee7ad9431333361303131日期',
    closeText: '关闭',
    closeStatus: '不改变当前选择',
    prevText: '<上月',
    prevStatus: '显示上月',
    prevBigText: '<<',
    prevBigStatus: '显示上一年',
    nextText: '下月>',
    nextStatus: '显示下月',
    nextBigText: '>>',
    nextBigStatus: '显示下一年',
    currentText: '今天',
    currentStatus: '显示本月',
    monthNames: ['一月','二月','三月','四月','五月','六月', '七月','八月','九月','十月','十一月','十二月'],
    monthNamesShort: ['一月','二月','三月','四月','五月','六月', '七月','八月','九月','十月','十一月','十二月'],
    yearNamesShort: ['一月','二月','三月','四月','五月','六月', '七月','八月','九月','十月','十一月','十二月'],
    monthStatus: '选择月份',
    yearStatus: '选择年份',
    weekHeader: '周',
    weekStatus: '年内周次',
    dayNames: ['星期日','星期一','星期二','星期三','星期四','星期五','星期六'],
    dayNamesShort: ['周日','周一','周二','周三','周四','周五','周六'],
    dayNamesMin: ['日','一','二','三','四','五','六'],
    dayStatus: '设置 DD 为一周起始',
    dateStatus: '选择 m月 d日, DD',
    dateFormat: 'yy-mm-dd',
    firstDay: 1,
    initStatus: '请选择日期',
    isRTL: false};
    $.datepicker.setDefaults($.datepicker.regional['zh-CN']);

    $( "#datepicker" ).datepicker({
        changeMonth: true,
        changeYear: true,
        dateFormat:"yy/mm/dd"
    });
});

$((function($){
})($));